Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	gutenprint contains high quality drivers for Canon, Epson, Lexmark and PCL printers.
Name:      	gutenprint
Version:   	5.2.6
Release:   	2
Provides:	gutenprint
Conflicts:	gimp-print
Obsoletes: 	gimp-print
License: 	GNU/GPL
URL:		http://gimp-print.sourceforge.net/
Group:     	System/Configuration/Hardware
Source0: 	gutenprint-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:  openssl-devel
# don't do autorequire as gimp is a circular dependency !
#utoReq:	0

BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libjpeg-devel
BuildRequires: libtasn1-devel
BuildRequires: libtiff-devel
BuildRequires: gobject-introspection-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: cups-devel
BuildRequires: e2fsprogs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: ghostscript-devel
BuildRequires: gimp-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: krb5-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXrender-devel
BuildRequires: ncurses-devel
BuildRequires: pango-devel
BuildRequires: perl
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: readline-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
High quality drivers for Canon, Epson, Lexmark, Sony, Olympus, and PCL printers for use with Ghostscript, CUPS, Foomatic, and the Gimp.
Gutenprint was formerly called Gimp-Print.

%package devel
Summary: 	gutenprint development headers.
Group:     	System/Configuration/Hardware
Requires: 	%{name} = %{version}

%description devel
Header and include files for developing applications with gutenprint.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
CFLAGS="$CFLAGS -I/usr/include/gtk-2.0"
%configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--infodir=%_infodir \
		--disable-debug 
#		--with-gimp2-as-gutenprint
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/share/info/dir

%files
%defattr(-,root,root)
%_bindir/cups-calibrate
%_bindir/escputil
%_bindir/ijsgutenprint.5.2
%_bindir/testpattern
%_sbindir/cups-genppd.5.2
%_sbindir/cups-genppdupdate
%_sysconfdir/cups/command.types
%_mandir/man1/escputil.1.gz
%_mandir/man1/ijsgutenprint.1.gz
%_mandir/man8/cups-calibrate.8.gz
%_mandir/man8/cups-genppd.8.gz
%_mandir/man8/cups-genppdupdate.8.gz
%_datadir/cups/calibrate.ppm
%_datadir/gutenprint
%_datadir/locale/*/LC_MESSAGES/gutenprint.mo
%_datadir/locale/*/gutenprint_*.po
%_libdir/cups/driver/gutenprint.5.2
%_libdir/cups/filter/commandtocanon
%_libdir/cups/filter/commandtoepson
%_libdir/cups/filter/rastertogutenprint.5.2
%_libdir/gimp/2.0/plug-ins/gutenprint
%{_pkgconfig}/gutenprint.pc
%{_pkgconfig}/gutenprintui2.pc
%_libdir/libgutenprint.so.*
%_libdir/libgutenprintui2.so.*

%files devel
%defattr(-,root,root)
%_includedir/gutenprint/
%_includedir/gutenprintui2/
%_libdir/libgutenprint.so
%_libdir/libgutenprintui2.so
%_libdir/libgutenprint.a
%_libdir/libgutenprintui2.a
%_libdir/libgutenprint.la
%_libdir/libgutenprintui2.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 5.2.6-2
- rebuilt
* Wed Aug 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 5.2.6-1
- version update
* Wed Aug 12 2009 Karsten Brockmann <arcam@ccux-linux.de> 5.2.4-1
- version update
- built against libjpeg 7
* Wed Dec 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.2.3-1
- version update
* Mon Nov 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.2.2-1
- version update
* Sat Oct 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.2.1-1
- version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.1.7-1
- version update
* Sun Dec 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.1.5-1
- version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.1.3-1
- version update
* Sat Jun 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.1.2-1
- version update
* Wed Aug 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 5.0.0-2
- version update, 5.0.0 final
* Mon Apr 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 5.0.0-1
- Initial Release, RC2
